<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/img_search_keyboard_bg">

    <TextView
        android:id="@+id/tv_keyboard_input"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="right|center_vertical"
        android:hint="請輸入食品編號"
        android:paddingTop="@dimen/dp_20"
        android:paddingRight="@dimen/dp_10"
        android:paddingBottom="@dimen/dp_20"
        android:textColor="#EE3234"
        android:textColorHint="#EE3234"
        android:textSize="@dimen/sp_24"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_keyboard_en"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:fadeScrollbars="false"
        android:scrollbarThumbVertical="@color/scroll_bar_color"
        android:scrollbars="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/rv_keyboard_number"
        app:layout_constraintTop_toBottomOf="@id/tv_keyboard_input" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_keyboard_number"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintHorizontal_weight="3"
        app:layout_constraintLeft_toRightOf="@id/rv_keyboard_en"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_keyboard_input" />

    <View
        android:layout_width="0dp"
        android:layout_height="@dimen/dp_1"
        android:background="@color/theme_white_color"
        app:layout_constraintLeft_toLeftOf="@id/rv_keyboard_en"
        app:layout_constraintRight_toRightOf="@id/rv_keyboard_en"
        app:layout_constraintTop_toTopOf="@id/rv_keyboard_en" />

</androidx.constraintlayout.widget.ConstraintLayout>